Bug 1013193 - Default plugins shipped with launchy are not available on x86_64
Default plugins shipped with launchy are not available on x86_64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: launchy (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lukas Zapletal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 04:21 EDT by Mansour Behabadi
Modified: 2016-07-19 14:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:58:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the bug (1.63 KB, patch)
2013-09-28 04:27 EDT, Mansour Behabadi
no flags Details | Diff

  None (edit)
Description Mansour Behabadi 2013-09-28 04:21:20 EDT
Description of problem:

Launchy ships with a few plugins, none of which are available after installation.


Version-Release number of selected component (if applicable): 2.5-8.fc20


How reproducible: always


Steps to Reproduce:
1. Install launchy
2. Run launchy and bring up its Options dialog (by right clicking its icon in noti area)
3. Change to Plugins tab

Actual results: There are no plugins in the list


Expected results: There should be 5 plugins, named Calcy, GCalc, Runner, Verby and Weby
Comment 1 Mansour Behabadi 2013-09-28 04:27:25 EDT
Created attachment 804331 [details]
patch to fix the bug

The issue is that the /usr/lib path is hardcoded into the code at compile time. On x86_64, the lib directory is /usr/lib64. The way I figured to fix this was to pass qmake the %{_libdir} (see the patch). I'm not sure how other programs deal with this issue, as I don't program in C much.

Putting the logic in the .pro files creates an issue where compiling for i686 on a x86_64 machine. qmake will use /usr/lib64 where it should be using /usr/lib.
Comment 2 Jaroslav Reznik 2015-03-03 10:06:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 14:58:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.